unit unitMemory;

interface

uses Windows;

implementation

function SetMmgrFromExe: Boolean;
var hExe: THandle;
    GetMM: procedure(var MMgr: TMemoryManager);
    MMgr: TMemoryManager;
begin
  Result:=False;
  try
    hExe:=GetModuleHandle(nil);
    if (hExe<>0) and (hExe<>HInstance) then begin
      @GetMM:=GetProcAddress(hExe,'GetMemoryManager');
      if Assigned(GetMM) then begin
        GetMM(MMgr);            // z EXE
        SetMemoryManager(MMgr); // do DLL
      end;
    end;
  except;
  end;
end;  

end.
 